#!/usr/bin/perl
######################################################
#
# Background Auto-Change for X Windows v0.9
#   By John Resig (phytar@csh.rit.edu)
#
#   I recommend downloading the Propaganda image
#  collection - and just setting the base dir. as
#  the one to recurse, very nice for tiling.
#
#  To Do:
#   - Command-Line Options
#   - Multiple Base Directories
#   - Tiling/Centering/Color Options
#
#  How To Run:
#   Save this file in your home directory as 
#   something like: .changebg.pl Then add the 
#   following line to your .xinitrc:
#     exec perl ~/.changebg.pl &
#   OR just execute it from the command-line as:
#     perl ~/.changebg.pl &
#   Enjoy!
#
#  More Information:
#     http://csh.rit.edu/~phytar/
#
######################################################

use File::Find;

#######################################
# Configure the following two options:
#######################################

# The number of minutes in between a switch
	$min = 5;

# The directory to recursively grab 
# backgrounds from
	$baseDIR = "/mnt/files/graphics/Propaganda";


find( \&process, $baseDIR );

for (;;) {
	$file = @files[ rand( $#files ) ];
	$exec = `xv -quit -root $file`;
	sleep $min * 60;
}

sub process {
	if ( $File::Find::name =~ /(jpg|gif)$/i ) {
		push( @files, $File::Find::name );
	}
}
